#ifndef MODEL_HPP
#define MODEL_HPP

#include <vector>
#include <modelpart.hpp>
#include <cv.hpp>

class Model {
	std::vector<ModelPart> parts;

	std::string name;

	public:
		Model(const char* path);

		void draw();

		void updateTransforms(struct FaceData faceData);

		std::string getName();
};

#endif
